

<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button icon="chevron-back"></ion-back-button>
        </ion-buttons>
        <ion-title class="ion-font-lg ion-no-padding">Comentarios</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-row>
        <ion-col>
            <ion-item lines="none">
                <ion-label color="dark">
                    <h2 class="ion-font-bold">{{ service.model?.name }}</h2>
                    <div class="ion-flex ion-flex-wrap">
                        <ion-text color="medium" class="ion-font-sm">
                          <span>Envio {{ service.model?.delivery }} &nbsp;</span>
                          <span>&#8226; Minimo ${{ service.model?.minPrice }}</span>
                        </ion-text>
                    </div>
                </ion-label>
                <ion-icon name="fast-food-outline" color="medium" slot="end"></ion-icon>
            </ion-item>
        </ion-col>
    </ion-row>

    <div class="app-divider"></div>

    <ion-row>
        <ion-col>
            <ion-list>
                <ng-container *ngFor="let c of service.model?.comments">
                    <ion-item>
                        <ion-avatar style="width: 50px; height: 50px;" slot="start">
                            <ion-img [src]="c.userThumbnail"></ion-img>
                        </ion-avatar>
                        <ion-text class="ion-py-2">
                            <ion-label>
                                <strong>{{ c.userName }}</strong>
                            </ion-label>
                            <ion-text color="medium">
                                <p class="ion-font-sm ion-my-2">
                                    {{ c.message }}
                                </p>
                            </ion-text>
                            <ion-text color="secondary">
                                <small>{{ c.date | ago }}</small>
                            </ion-text>
                        </ion-text>
                        <ion-text color="success" class="ion-no-margin" slot="end">
                            <strong>
                                <ion-icon name="star"></ion-icon>
                                {{ c.rating }}
                            </strong>
                        </ion-text>
                    </ion-item>
                </ng-container>
            </ion-list>
        </ion-col>
    </ion-row>

    <ng-template [ngIf]="service.model?.comments?.length < 1">
        <ion-row>
            <ion-col size="auto" class="ion-m-auto">
                <ion-label color="medium">
                    <h6>No hay comentarios aún</h6>
                </ion-label>
            </ion-col>
        </ion-row>
    </ng-template>

</ion-content>

